# KrautStatus

This repository contains documentation and sources of KrautStatus. KrautStatus
is the n-th iteration of a software/hardware project to communicate whether
Jena's Krautspace is open or closed.

KrautStatus consists of three components: an Arduino-sensor-combination at the
door, a Python script on a local server, and an API file served on by web
server.

The Arduino broadcasts the current state of the door lock to our LAN. The state
is determined by a reed sensor in the door lock. In addition, it controls an
RGB LED matrix shield that provides a visual indication of the door locks's
state in the room.

The python script polls the broadcast state and pushes changes to Twitter,
Mastodon and our API file.

The API file is just that, a JSON file. It contains, among other things, the
current state of the door lock.

## Arduino

## Python Script

## API
